JHelpContentViewer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class JHelpContentViewer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.help.JHelpContentViewer

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JHelpContentViewer
extends javax.swing.JComponent
implements javax.accessibility.Accessible

A component to represent the Help viewer that can be embedded if desired.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JHelpContentViewer()` Creates a JHelp with a default TextHelpModel.
`JHelpContentViewer(HelpSet hs)` Creates a JHelp with an instance of DefaultHelpModel as its data model.
`JHelpContentViewer(TextHelpModel model)` Creates a JHelp with an specific TextHelpModel as its data model.

Method Summary
`void` | `addHelpModelListener(HelpModelListener l)` Adds a listener for the HelpModelEvent posted after the model has changed.
`void` | `addHighlight(int p0, int p1)` Hightlights a section of the current document from p0 to p1.
`void` | `addTextHelpModelListener(TextHelpModelListener l)` Adds a listener for the TExtHelpModelEvent posted after the model has changed.
`void` | `clear()` Cleans the content
`javax.swing.text.EditorKit` | `createEditorKitForContentType(java.lang.String type)` Creates a handler for the given type from the registry of editor kits.
`javax.accessibility.AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this JComponent
`java.net.URL` | `getCurrentURL()`
`java.lang.String` | `getDocumentTitle()`
`TextHelpModel` | `getModel()`
`boolean` | `getSynch()` Returns synchronization mode
`HelpContentViewerUI` | `getUI()`
`java.lang.String` | `getUIClassID()`
`void` | `reload()` Reloads the content
`void` | `removeAllHighlights()` Removes any Highlights.
`void` | `removeHelpModelListener(HelpModelListener l)` Removes a listener previously added with `addHelpModelListener`
`void` | `removeHelpModelListener(TextHelpModelListener l)` Removes a listener previously added with `addTextHelpModelListener`
`void` | `setCurrentID(Map.ID id)` Visits a given ID.
`void` | `setCurrentID(java.lang.String id)` Visits a given ID.
`void` | `setCurrentURL(java.net.URL url)` Visits a given URL.
`void` | `setModel(TextHelpModel newModel)` Sets the HelpModel that provides the data.
`void` | `setSynch(boolean value)` Sets synchronization of this JHelpContentViewer with navigators.
`void` | `setUI(HelpContentViewerUI ui)` Sets the HelpViewerUI that provides the current look and feel.
`void` | `updateUI()` Replaces the UI with the latest version from the default UIFactory.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JHelpContentViewer

    public JHelpContentViewer(HelpSet hs)

  Creates a JHelp with an instance of DefaultHelpModel as its data model.

Parameters:
  `hs` - The HelpSet that provides context information. A null hs is valid and creates a TextHelpModel with no HelpSet defined.

### JHelpContentViewer

    public JHelpContentViewer()

  Creates a JHelp with a default TextHelpModel.

### JHelpContentViewer

    public JHelpContentViewer(TextHelpModel model)

  Creates a JHelp with an specific TextHelpModel as its data model.

Parameters:
  `model` - The TextHelpModel. A null model is valid.

Method Detail

### setModel

    public void setModel(TextHelpModel newModel)

  Sets the HelpModel that provides the data. Necessary to convert navigation action into visits...

  Parameters:
    `newModel` - The new Model to provide events for this viewer.

### getModel

    public TextHelpModel getModel()

  Returns:
    The HelpModel that provides the events.

### setUI

    public void setUI(HelpContentViewerUI ui)

  Sets the HelpViewerUI that provides the current look and feel.

  Parameters:
    `ui` - Provides the ComponentUI object. A null ui is valid.

### getUI

    public HelpContentViewerUI getUI()

  Returns:
    The HelpViewerUI that provides the current look and feel.

### updateUI

    public void updateUI()

  Replaces the UI with the latest version from the default UIFactory.

  Overrides:
    `updateUI` in class `javax.swing.JComponent`

### getUIClassID

    public java.lang.String getUIClassID()

  Overrides:
    `getUIClassID` in class `javax.swing.JComponent`
  Returns:
    "HelpViewerUI"

### setCurrentID

    public void setCurrentID(Map.ID id)
                      throws InvalidHelpSetContextException

  Visits a given ID. Propagates down into the model.

  Parameters:
    `id` - The ID to visit.
  Throws:
    `InvalidHelpSetContextException` - if id.hs is not contained in the HelpSet of the current model.

### setCurrentID

    public void setCurrentID(java.lang.String id)
                      throws BadIDException

  Visits a given ID. Propagates down into the model.

  Parameters:
    `id` - The String to visit. Relative to the HS of the current model.
  Throws:
    `BadIDException` - The ID is not valid for the HelpSet for the current model.

### setCurrentURL

    public void setCurrentURL(java.net.URL url)

  Visits a given URL. Propagates down into the model.

  Parameters:
    `url` - The URL to visit. Relative to the HS of the current model

### getCurrentURL

    public java.net.URL getCurrentURL()

  Returns:
    The URL currently being presented in the viewer.

### getDocumentTitle

    public java.lang.String getDocumentTitle()

  Returns:
    The document title.

### addHighlight

    public void addHighlight(int p0,
                             int p1)

  Hightlights a section of the current document from p0 to p1.

  Parameters:
    `p0` - Starting position.
    `p1` - Ending position.

### removeAllHighlights

    public void removeAllHighlights()

  Removes any Highlights.

### setSynch

    public void setSynch(boolean value)

  Sets synchronization of this JHelpContentViewer with navigators. If true then JHelpContentViewer will contain homeID page when comes up at first time. False value causes blank page in this case.

### getSynch

    public boolean getSynch()

  Returns synchronization mode

### createEditorKitForContentType

    public javax.swing.text.EditorKit createEditorKitForContentType(java.lang.String type)

  Creates a handler for the given type from the registry of editor kits. If the registered class has not yet been loaded, an attempt is made to dynamically load the prototype of the kit for the given type. If the type was registered with a ClassLoader, that ClassLoader is used to load the prototype. If there was no registered ClassLoader, the ClassLoader for the HelpSet is used to load the prototype.

  Once a prototype EditorKit instance is successfully located, it is cloned and the clone is returned.

  Parameters:
    `type` - the content type
  Returns:
    the editor kit, or null if one cannot be created

### addTextHelpModelListener

    public void addTextHelpModelListener(TextHelpModelListener l)

  Adds a listener for the TExtHelpModelEvent posted after the model has changed.

  Parameters:
    `l` - - The listener to add.
  See Also:
    `HelpModel.removeHelpModelListener(javax.help.event.HelpModelListener)`

### removeHelpModelListener

    public void removeHelpModelListener(TextHelpModelListener l)

  Removes a listener previously added with `addTextHelpModelListener`

  Parameters:
    `l` - - The listener to remove.
  See Also:
    `TextHelpModel.addTextHelpModelListener(javax.help.event.TextHelpModelListener)`

### addHelpModelListener

    public void addHelpModelListener(HelpModelListener l)

  Adds a listener for the HelpModelEvent posted after the model has changed.

  Parameters:
    `l` - - The listener to add.
  See Also:
    `HelpModel.removeHelpModelListener(javax.help.event.HelpModelListener)`

### removeHelpModelListener

    public void removeHelpModelListener(HelpModelListener l)

  Removes a listener previously added with `addHelpModelListener`

  Parameters:
    `l` - - The listener to remove.
  See Also:
    `HelpModel.addHelpModelListener(javax.help.event.HelpModelListener)`

### clear

    public void clear()

  Cleans the content

### reload

    public void reload()

  Reloads the content

### getAccessibleContext

    public javax.accessibility.AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this JComponent

  Specified by:
    `getAccessibleContext` in interface `javax.accessibility.Accessible`
  Overrides:
    `getAccessibleContext` in class `javax.swing.JComponent`
  Returns:
    the AccessibleContext of this JComponent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD